## joserfc 1.0.0

=== requirements.txt ===
-r requirements/base.txt
-r requirements/lint.txt
-r requirements/tests.txt
-r requirements/docs.txt
sphinx-intl

=== debian/changelog ===
joserfc (1.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 12:22:45 +0900

joserfc (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076998)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 15:35:29 +0900

=== debian/control ===
Source: joserfc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-cryptography <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/authlib/joserfc
Vcs-Browser: https://salsa.debian.org/python-team/packages/joserfc
Vcs-Git: https://salsa.debian.org/python-team/packages/joserfc.git

Package: python3-joserfc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for JSON Object Signing and Encryption (JOSE)
 The library provides a comprehensive implementation of several essential JSON
 Object Signing and Encryption (JOSE) standards. It includes implementations of
 JSON Web Signature (JWS), JSON Web Encryption (JWE), JSON Web Key (JWK), JSON
 Web Algorithms (JWA), and JSON Web Token (JWT). The module follows various
 Request for Comments (RFCs) standards such as RFC7515, RFC7516, RFC7517,
 RFC7518, RFC7519, and others. Additionally, it supports draft RFC
 implementations like C20P, XC20P, and the Elliptic Curve Diffie-Hellman One-
 Pass Unified Model. The extensible API allows for advanced cryptographic
 operations and secure data transmission.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=joserfc
export PYBUILD_TEST_ARGS=--ignore=tests/jwe/test_chacha20.py

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf joserfc.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/joserfc-$1\.tar\.gz/ \
  https://github.com/authlib/joserfc/tags .*/v?(\d\S+)\.tar\.gz

## joserfc 1.0.1

=== debian/changelog ===
joserfc (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Dec 2024 15:05:38 +0000

## joserfc 1.0.2

=== debian/changelog ===
joserfc (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Fri, 24 Jan 2025 09:00:27 +0000

## joserfc 1.0.3

=== debian/changelog ===
joserfc (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Feb 2025 08:54:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: joserfc
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-cryptography <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-cryptography <!nocheck>,
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/authlib/joserfc
@@ -18,7 +21,9 @@
 
 Package: python3-joserfc
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python library for JSON Object Signing and Encryption (JOSE)
  The library provides a comprehensive implementation of several essential JSON
  Object Signing and Encryption (JOSE) standards. It includes implementations of

## joserfc 1.0.4

=== debian/changelog ===
joserfc (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 06 Mar 2025 17:50:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-cryptography <!nocheck>,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/authlib/joserfc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/joserfc
 Vcs-Git: https://salsa.debian.org/python-team/packages/joserfc.git

## joserfc 1.1.0

=== debian/changelog ===
joserfc (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 29 May 2025 22:15:45 -0500

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
  python3-cryptography <!nocheck>,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/authlib/joserfc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/joserfc
 Vcs-Git: https://salsa.debian.org/python-team/packages/joserfc.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-joserfc
 Architecture: all

## joserfc 1.2.0

=== debian/changelog ===
joserfc (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 09 Jul 2025 11:01:06 +0200

## joserfc 1.2.2

=== Makefile ===
lang=en

dev-docs:
	sphinx-build docs public/${lang} -D language=${lang} -b dirhtml -a


build-docs:
	@sphinx-build docs public/${lang} -D language=${lang} -b dirhtml
	@rm public/${lang}/.buildinfo
	@rm -r public/${lang}/.doctrees


clean-docs:
	@rm -fr public/${lang}


coverage:
	@pytest --cov --cov-report=html

=== docs/Makefile ===
gettext:
	sphinx-build -b gettext . _build/gettext

update-locales:
	sphinx-intl update -p _build/gettext -l zh

=== debian/changelog ===
joserfc (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 24 Jul 2025 21:38:58 +0100

=== debian/watch ===
version=4
https://github.com/authlib/joserfc/tags .*/v?(\d\S+)\.tar\.gz

## joserfc 1.3.1

=== debian/changelog ===
joserfc (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 28 Aug 2025 21:40:08 +0100

## joserfc 1.3.2

=== debian/changelog ===
joserfc (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 06 Sep 2025 11:08:49 +0100

## joserfc 1.3.4

=== debian/changelog ===
joserfc (1.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 08:38:09 +0000

## joserfc 1.4.0

=== debian/changelog ===
joserfc (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Fri, 10 Oct 2025 06:35:22 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: authlib
Project: joserfc

## joserfc 1.4.1

=== debian/changelog ===
joserfc (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 07 Nov 2025 08:41:09 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Build-Depends-Indep:
  python3-cryptography <!nocheck>,
  python3-pytest <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/authlib/joserfc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/joserfc

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--ignore=tests/jwe/test_chacha20.py

%:
	dh $@ --buildsystem=pybuild

## joserfc 1.4.3

=== debian/changelog ===
joserfc (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix log injection / excessive logging via large JWT payloads in exception
    messages. (CVE-2025-65015)

 -- Edward Betts <edward@4angle.com>  Wed, 19 Nov 2025 23:13:36 +0800

## joserfc 1.5.0

=== debian/changelog ===
joserfc (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 03 Dec 2025 12:38:36 +0000

## joserfc 1.6.0

=== debian/changelog ===
joserfc (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Dec 2025 06:18:26 +0000

## joserfc 1.6.1

=== debian/changelog ===
joserfc (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Dec 2025 17:07:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,7 +12,7 @@
 Build-Depends-Indep:
  python3-cryptography <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/authlib/joserfc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/joserfc
 Vcs-Git: https://salsa.debian.org/python-team/packages/joserfc.git

## joserfc 1.6.2

=== debian/changelog ===
joserfc (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 17 Feb 2026 18:55:17 +0000

## joserfc 1.6.3

=== debian/changelog ===
joserfc (1.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Mar 2026 09:09:57 +0000
